import { Flyover } from '@rsksmart/flyover-sdk';
import { TokenBridge } from '@rsksmart/tokenbridge-sdk';
import { Network, BlockchainConnection, BridgesConfig, FlyoverConfig, TokenBridgeConfig } from '@rsksmart/bridges-core-sdk';

interface BridgesInitParams {
    network: Network;
    allowInsecureConnections?: boolean;
    rskConnection?: BlockchainConnection;
    bridges: Partial<BridgesInitializations>;
}
interface AllBridgesConfigs {
    flyover: FlyoverConfig;
    tokenbridge: TokenBridgeConfig;
}
interface Bridges {
    flyover: Flyover;
    tokenbridge: TokenBridge;
}
type BridgesInitializations = {
    [key in keyof AllBridgesConfigs]: Omit<AllBridgesConfigs[key], keyof BridgesConfig>;
};
declare function init(initParams: BridgesInitParams): Promise<Partial<Bridges>>;

export { type Bridges, type BridgesInitParams, type BridgesInitializations, init };
